<div *ngIf="currentdata" class="edit-form">
  <h4>Données</h4>
  <form>
    <div class="form-group">
      <label for="key">l'ID du Patient</label>
      <input
        type="text"
        class="form-control"
        id="key"
        [(ngModel)]="currentdata.key"
        name="key"
      />
    </div>
    <div class="form-group">
      <label for="Date">La date</label>
      <input
        type="text"
        class="form-control"
        id="Date"
        [(ngModel)]="currentdata.Date"
        name="Date"
      />
    </div>
    <div class="form-group">
      <label for="Heure">L'heure</label>
      <input
        type="text"
        class="form-control"
        id="Heure"
        [(ngModel)]="currentdata.Heure"
        name="Heure"
      />
    </div>
    <div class="form-group">
      <label for="Volume">Volume</label>
      <input
        type="text"
        class="form-control"
        id="Volume"
        [(ngModel)]="currentdata.Volume"
        name="Volume"
      />
    </div>
    <div class="form-group">
      <label for="Volume_Totale">Volume totale</label>
      <input
        type="text"
        class="form-control"
        id="Volume_Totale"
        [(ngModel)]="currentdata.Volume_Totale"
        name="Volume_Totale"
      />
    </div>
    <div class="form-group">
      <label><strong>Status:</strong></label>
      {{ currentdata.Date ? "Published" : "Pending" }}
    </div>
  </form>

  <button
    class="badge badge-primary mr-2"
    *ngIf="currentdata.Date"
    (click)="updatePublished(false)"
  >
    UnPublish
  </button>
  <button
    *ngIf="!currentdata.Date"
    class="badge badge-primary mr-2"
    (click)="updatePublished(true)"
  >
    Publish
  </button>

  <button class="badge badge-danger mr-2" (click)="deleteTutorial()">
    Delete
  </button>

  <button type="submit" class="badge badge-success" (click)="updateTutorial()">
    Update
  </button>
  <p>{{ message }}</p>
</div>

<div *ngIf="!currentdata">
  <br />
  <p>Cannot access this Tutorial...</p>
</div>
